<ncl id="nclModificacionDeAtributosEnNcl" xmlns="http://www.ncl.org.br/NCL3.0/EDTVProfile">
  <head>
    <regionBase>
      <region width="100%" height="50%" top="50%" id="rTxt"/>
	  <region id="rgGrande" width="200" height="50" top="10" left="250" zIndex="2"/>
	  <region id="rgMuypequeno" width="200" height="50" top="70" left="40" zIndex="2"/>
	  <region id="rgPequeno" width="200" height="50" top="130" left="250" zIndex="2"/>
	  <region id="rgMuygrande" width="200" height="50" top="70" left="470" zIndex="2"/>
	  <region id="rgNormal" width="200" height="50" top="70" left="250" zIndex="2"/>
    </regionBase>
    <descriptorBase>
      <descriptor id="descTxt" region="rTxt"/>
	  <!-- 	focusIndex entrega un indice unico para cada region es quien permite darle foco a una region
			si focusIndex no es definido, la region es NO SELECCIONABLE, es decir, no puede tener foco
			(en este caso, el texto no tiene definido focusIndex y por lo tanto no se puede "focusear".
			
			moveDown, moveUp, moveLeft y moveRight permiten setear el focusIndex de una accion de las teclas
			direccionales del control remoto: por ejemplo, si se tiene en foco la region dsGrande, y se selecciona
			la tecla Down del control remoto, se entrega el foco a la region con focusIndex=1, es decir, a la
			region dsNormal.
		-->
	  <descriptor id="dsGrande" region="rgGrande" focusIndex="5" moveDown="1"/>
	  <descriptor id="dsMuypequeno" region="rgMuypequeno" focusIndex="4" moveRight="1"/>
	  <descriptor id="dsPequeno" region="rgPequeno" focusIndex="3" moveUp="1"/>
	  <descriptor id="dsMuygrande" region="rgMuygrande" focusIndex="2" moveLeft="1"/>
	  <descriptor id="dsNormal" region="rgNormal" focusIndex="1" moveRight="2" moveLeft="4" moveUp="5" moveDown="3"/>
    </descriptorBase>
    <connectorBase>
	<!-- dado un codigo de tecla, ejecuta la accion -->
      <causalConnector id="onKeySelectionSet">
        <connectorParam name="keyCode"/> 
        <connectorParam name="var"/>
        <simpleCondition role="onSelection" key="$keyCode"/> 
        <simpleAction role="set" value="$var"/>
      </causalConnector>
	<!-- dado que solo se selecciona, ejecuta la accion  -->
      <causalConnector id="onSimpleSelectionSet">
        <connectorParam name="var"/>
        <simpleCondition role="onSelection"/> 
		<!-- no existe limite sobre las activaciones -->
        <simpleAction role="set" value="$var" max="unbounded"/>
      </causalConnector>
    </connectorBase>
  </head>
  <body>
    <port id="entryPoint" component="txt"/> 
	<port id="pGrande" component="mGrande"/>
	<port id="pMuypequeno" component="mMuypequeno"/>
	<port id="pPequeno" component="mPequeno"/>
	<port id="pMuygrande" component="mMuygrande"/>
	<port id="pNormal" component="mNormal"/>
	<!-- botones seleccionados -->
	<media id="mGrande" src="media/grande.png" descriptor="dsGrande" />
	<media id="mMuypequeno" src="media/muypequeno.png" descriptor="dsMuypequeno" />
	<media id="mPequeno" src="media/pequeno.png" descriptor="dsPequeno" />
	<media id="mMuygrande" src="media/muygrande.png" descriptor="dsMuygrande" />
	<media id="mNormal" src="media/normal.png" descriptor="dsNormal" />
	<!-- el texto -->
    <media id="txt" src="texto.txt" descriptor="descTxt">
      <property name="fontColor" value="white"/>		
      <property name="fontSize" value="50"/> 
    </media>

	<!-- si se hace clic la tecla roja, cambia el texto a color rojo -->
    <link xconnector="onKeySelectionSet">
      <bind role="onSelection" component="txt"/> 
      <linkParam name="keyCode" value="RED"/>
      <bind role="set" component="txt" interface="fontColor">
        <bindParam name="var" value="red"/>
      </bind>
    </link>
	<!-- si se hace clic la tecla verde, cambia el texto a color verde -->
	<link xconnector="onKeySelectionSet">
      <bind role="onSelection" component="txt"/> 
      <linkParam name="keyCode" value="GREEN"/>
      <bind role="set" component="txt" interface="fontColor">
        <bindParam name="var" value="green"/>
      </bind>
    </link>
	
	<!-- cambio de tamano de acuerdo a la seleccion realizada -->
	<!-- tamano grande -->
    <link xconnector="onSimpleSelectionSet">
      <bind role="onSelection" component="mGrande"/> 
      <bind role="set" component="txt" interface="fontSize">
        <bindParam name="var" value="75"/>
      </bind>
    </link>
	<!-- tamano muy pequeno -->
	<link xconnector="onSimpleSelectionSet">
      <bind role="onSelection" component="mMuypequeno"/> 
      <bind role="set" component="txt" interface="fontSize">
        <bindParam name="var" value="10"/>
      </bind>
    </link>
	<!-- tamano pequeno -->
	<link xconnector="onSimpleSelectionSet">
      <bind role="onSelection" component="mPequeno"/> 
      <bind role="set" component="txt" interface="fontSize">
        <bindParam name="var" value="35"/>
      </bind>
    </link>
	<!-- tamano muy grande -->
	<link xconnector="onSimpleSelectionSet">
      <bind role="onSelection" component="mMuygrande"/> 
      <bind role="set" component="txt" interface="fontSize">
        <bindParam name="var" value="100"/>
      </bind>
    </link>
	<!-- 	tamano normal. note que se activa dos veces el rol "set", esto es posible
			gracias a que la simpleCondition tiene como maximo de activaciones "unbounded".
	-->
	<link xconnector="onSimpleSelectionSet">
      <bind role="onSelection" component="mNormal"/> 
      <bind role="set" component="txt" interface="fontSize">
        <bindParam name="var" value="50"/>
      </bind>
	  <bind role="set" component="txt" interface="fontColor">
        <bindParam name="var" value="white"/>
      </bind>
    </link>
  </body>
</ncl>